#include <bits/stdc++.h>

using namespace std;

/*
if(used[to]) low[v]=min(low[v],tin[to])
else{
    dfs(to,v);
    low[v]=min(low[v],low[to]);

    if(low[to]>tin[v]) rebro;
}*/
#define ll long long
const ll F=1e18,N=1e5;
ll n,a[N],b[N];

multiset<ll> el;

bool per(){
for(ll i=2;i<n;++i) if(b[i]*2>b[i-1]+b[i+1]) return 0;
return 1;
}

bool f(ll s){
    multiset<ll> ell;
    for(ll i=1;i<n;++i) if(i!=s) ell.insert(a[i]);
    ell.insert(F);
    //cout<<"\n";

    for(ll i=3;i<=n;++i){
        ll x=*ell.lower_bound(b[i-1]*2-b[i-2]);

        if(x==F) {/*for(ll j=1;j<i;++j) cout<<b[j]<<" ";cout<<"\n\n";*/return 0;}
        b[i]=x;
        ell.erase(ell.find(x));
    }

    return 1;
}

string solve(){

    cin>>n;
    el.insert(F);


    for(ll i=1;i<=n;++i) cin>>a[i],el.insert(a[i]);
    sort(a+1,a+1+n);


    b[1]=a[n];


    for(ll i=1;i<n;++i){
        b[2]=a[i];

        bool c=f(i);

        if(c) {
                return "YES\n";
        }
    }


    return "NO\n";
}

int main()
{
    ll q=1;


    cin>>q;
    while(q--) cout<<solve();
}
